<EntityClassDefinition.Elevator_Levski_Hangars_ButtonSendToHangar04 __id="e5a6cfa6-aca9-4a66-b92d-f57c01be6750" __path="libs/foundry/records/entities/scitem/access/elevators/levski/entityclassdefinition.elevator_levski_hangars_buttonsendtohangar04.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="UNDEFINED">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SCItemInteractionGeometryMapParams __type="DataForgeComponentParams" __polymorphicType="SCItemInteractionGeometryMapParams">
      <Entries>
        <SCInteractionGeometryMapEntryParams __type="SCInteractionGeometryMapEntryParams" GeometryTag="Waiting">
          <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="Request" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </Interaction>
        </SCInteractionGeometryMapEntryParams>
        <SCInteractionGeometryMapEntryParams __type="SCInteractionGeometryMapEntryParams" GeometryTag="">
          <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="ElevatorArrived" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </Interaction>
        </SCInteractionGeometryMapEntryParams>
      </Entries>
    </SCItemInteractionGeometryMapParams>
    <SCItemInteractionEffectsMapParams __type="DataForgeComponentParams" __polymorphicType="SCItemInteractionEffectsMapParams">
      <Entries>
        <SCInteractionEffectsMapEntryParams __type="SCInteractionEffectsMapEntryParams">
          <disableEffectTags />
          <enableEffectTags fb5ee7d5-f5ba-4bf6-91de-15e04c9659d6="fb5ee7d5-f5ba-4bf6-91de-15e04c9659d6" />
          <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="Request" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </Interaction>
        </SCInteractionEffectsMapEntryParams>
      </Entries>
    </SCItemInteractionEffectsMapParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$proxy_levski_prop_elevator_button" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors />
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@innerthought_levski_hangars_sendtohangar04" IsPrimary="1">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="Request" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="Request" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="ElevatorArrived" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks />
    </SInteractionLinkParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/buildingsets/human/lowtech/bravo/levski/prop/elevator/levski_prop_elevator_button_ascend.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="Objects/buildingsets/human/lowtech/bravo/levski/prop/elevator/levski_prop_elevator_button_idle.mtl" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry>
          <SGeometryNodeParams __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="Waiting">
            <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
              <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/buildingsets/human/lowtech/bravo/levski/prop/elevator/levski_prop_elevator_button_ascend.cga" />
              <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="Objects/buildingsets/human/lowtech/bravo/levski/prop/elevator/levski_prop_elevator_button_active.mtl" />
              <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
            </Geometry>
            <SubGeometry />
          </SGeometryNodeParams>
        </SubGeometry>
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SEntityAudioControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityAudioControllerParams" audioControllerEntityType="None" fullLODDistance="9000.0" fullToLowLODDistance="9050.0" occlusionAttenuationScaler="0.5" offLODDistance="10050.0" offToLowLODDistance="10000.0" randomSeedCount="0">
      <tags __type="TagList">
        <tags />
      </tags>
    </SEntityAudioControllerParams>
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" lightEffects="None" materialEffects="None" particleEffects="None" uiOwnerEffects="None">
        <sequencerTags />
        <soundEffects __type="SEntityEffectSystem_Category" __polymorphicType="SEntityEffectSystem_SoundCategory" allowMultipleTags="1" enabled="1">
          <tagEffects />
          <triggerEffects>
            <SEntityEffectSystem_SoundTriggerEffect __type="SEntityEffectSystem_SoundEffect" __polymorphicType="SEntityEffectSystem_SoundTriggerEffect" enabled="1" multiPosition="0" name="" trigger="fb5ee7d5-f5ba-4bf6-91de-15e04c9659d6" useDefaultProxy="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_BoneAttachment" attachmentZone="Host" boneAttachment="SCItem_MOLever" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <propertyLinks />
              <soundEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_UI_Levski_Elevator_Button" />
            </SEntityEffectSystem_SoundTriggerEffect>
          </triggerEffects>
        </soundEffects>
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.Elevator_Levski_Hangars_ButtonSendToHangar04>